# PFType

Type of PETSc mathematical function, a string name

### Synopsis

    #define PFType const char*
    #define PFCONSTANT      "constant"
    #define PFMAT           "mat"
    #define PFSTRING        "string"
    #define PFQUICK         "quick"
    #define PFIDENTITY      "identity"
    #define PFMATLAB        "matlab"

    /*S
         PF - Abstract PETSc mathematical function

    .seealso:  PFCreate(), PFDestroy(), PFSetType(), PFApply(), PFApplyVec(), PFSet(), PFType
    S*/
    typedef struct _p_PF* PF;

### See Also

PFSetType(), PF

Level:beginner
Location: src/vec/pf/../../../include/petscpf.h
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages